Subject: bug#78014: 30.1.50; wishlist: gnus nnimap background downloading

From: Christopher Howard <[email-masked]>
Date: Mon, 28 Apr 2025 13:37:49 -0800

Thank you, I am giving this a try:

(setq nnimap-fetch-partial-articles t)

The e-mails I am currently looking at don't have large attachments, but I'll try this out over the next few days and see if it helps.

I notice this variable is not customizable, which seems a little strange.

I notice it also allows you to do use a value like "text/" to download just the text parts. I'm a little confused though about how it would know which parts are text without downloading the entire e-mail first. Does email have a table of contents at the beginning of the body, which lists out all the mime parts to follow?

-- 
Christopher Howard